Package org.apache.sysds.runtime.compress.lib

## Class CLALibRexpand

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibRexpand

    public final class CLALibRexpand
    extends Object

### Field Summary

Fields
`static boolean` `ALLOW_COMPRESSED_TABLE_SEQ`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `compressedTableSeq()`
`static MatrixBlock` `rexpand​(int seqHeight, MatrixBlock A)`
`static MatrixBlock` `rexpand​(int seqHeight, MatrixBlock A, int nColOut)`
`static MatrixBlock` `rexpand​(int seqHeight, MatrixBlock A, int nColOut, int k)`
`static MatrixBlock` `rexpand​(CompressedMatrixBlock in, MatrixBlock ret, double max, boolean rows, boolean cast, boolean ignore, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ALLOW_COMPRESSED_TABLE_SEQ

    public static boolean ALLOW_COMPRESSED_TABLE_SEQ

### Method Detail

#### rexpand

    public static MatrixBlock rexpand​(CompressedMatrixBlock in,
                                      MatrixBlock ret,
                                      double max,
                                      boolean rows,
                                      boolean cast,
                                      boolean ignore,
                                      int k)

#### rexpand

    public static MatrixBlock rexpand​(int seqHeight,
                                      MatrixBlock A)

#### rexpand

    public static MatrixBlock rexpand​(int seqHeight,
                                      MatrixBlock A,
                                      int nColOut)

#### rexpand

    public static MatrixBlock rexpand​(int seqHeight,
                                      MatrixBlock A,
                                      int nColOut,
                                      int k)

#### compressedTableSeq

    public static boolean compressedTableSeq()